Docs / API Reference

REST API overview

Base path: /v1 on your BreachFix Cloud origin (e.g. https://cloud.breachfix.com/v1). Authenticate with a session cookie or Bearer token — see Authentication.

Services

  • GET /v1/services — list services
  • POST /v1/services — create service
  • GET /v1/services/:id — get service
  • PATCH /v1/services/:id — update service
  • DELETE /v1/services/:id — suspend/delete
  • POST /v1/services/:id/deploys — trigger deploy
  • GET /v1/services/:id/deploys — list deploys
  • POST /v1/services/:id/rollback — rollback
  • POST /v1/services/:id/restart — restart container
  • GET /v1/services/:id/platform-env — platform env defaults
  • GET/PUT /v1/services/:id/env-vars — environment variables
  • POST /v1/services/:id/source/upload — upload source archive

Custom domains

  • GET/POST /v1/services/:id/custom-domains
  • POST /v1/services/:id/custom-domains/:domainId/verify
  • DELETE /v1/services/:id/custom-domains/:domainId

Datastores

  • GET/POST /v1/postgres
  • GET/POST /v1/key-value

Projects & env groups

  • GET/POST /v1/projects
  • POST /v1/environments
  • GET/POST /v1/env-groups
  • PUT /v1/env-groups/:id/env-vars

Blueprints & webhooks

  • GET/POST /v1/blueprints
  • POST /v1/blueprints/:id/sync
  • GET/POST /v1/webhooks

Observability

  • GET /v1/logs/subscribe — WebSocket log stream
  • GET /v1/metrics/:serviceId/cpu — current CPU
  • GET /v1/metrics/:serviceId/memory — current memory
  • GET /v1/services/:id/metrics/history — metric history
  • GET /v1/audit-logs
  • GET /v1/usage

Team & billing

  • GET /v1/team-members, POST /v1/team-invites
  • GET/POST /v1/api-keys
  • GET /v1/billing/plans, GET /v1/billing/configured
  • GET /v1/workspaces/:id/cost-estimate

GitHub

  • GET /v1/github/status, GET /v1/github/repos
  • GET /v1/github/install — start App install flow

Health

  • GET /api/health — control plane health
  • GET /status — public status